////////////////////////////////////// Plot - MySQLQuery.h (mwx,24.01.06) /////
#import <Cocoa/Cocoa.h>

@interface MySQLQuery : NSObject <NSCoding> {
	NSString *name,*host,*db,*user,*passwd,*sql;
	int port;
	BOOL autoupdate,autorescale;
}

- (id)init;
- (id)initWithQuery:(NSString *)aname:(NSString *)ahost:(NSString *)adb:
										(int)aport:(NSString *)auser:(NSString *)apasswd:
										(NSString *)asql:(BOOL)aautoupdate:(BOOL)aautorescale;
- (void)dealloc;
- (NSString *)name;
- (NSString *)host;
- (NSString *)db;
- (NSString *)user;
- (NSString *)passwd;
- (NSString *)sql;
- (int)port;
- (BOOL)autoupdate;
- (BOOL)autorescale;
- (void)encodeWithCoder:(NSCoder *)coder;
- (id)initWithCoder:(NSCoder *)coder;

@end ///////////////////////////////////////////////////////////////////// END
